> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Prospect: Rentcafe

POST https://api.propexo.com/crm/v1/prospects/rentcafe
Content-Type: application/json

Create Prospect: Rentcafe

Reference: https://docs.propexo.com/api-reference/rent-cafe/prospects/create-prospect-rentcafe

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _crm_v1_prospects_rentcafe_post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `community_id` (string, required) — The Propexo unique identifier for the community
- `first_name` (string, required) — The first name associated with the prospect
- `last_name` (string, required) — The last name associated with the prospect
- `email_1` (string, required) — The primary email address associated with the prospect
- `agent_id` (string, optional) — The Propexo unique identifier for the agent
- `middle_name` (string, optional) — The middle name associated with the prospect
- `phone_1` (string, optional) — Primary phone number associated with the prospect
- `notes` (string, optional) — Notes associated with the prospect
- `address_1` (string, optional) — The first address line associated with the prospect
- `address_2` (string, optional) — The second address line associated with the prospect
- `city` (string, optional) — The city associated with the prospect
- `state` (string, optional) — The state associated with the prospect
- `zip` (string, optional) — The zip code associated with the prospect
- `country` (string, optional) — The country associated with the prospect
- `move_in_date` (CrmV1ProspectsRentcafePostInputMoveInDate, optional) — The move-in date associated with the prospect
- `desired_num_bedrooms` (list of integer, optional) — The number of bedrooms associated with the prospect. RentCafe only takes a single value for the desired bedrooms. All values other than the first are ignored. This is for compatibility with the other CRM endpoints.
- `preferred_contact_method` (enum, optional) — The way the prospect prefers to be contacted
  - Allowed values: `NONE`, `CALL`, `TEXT`, `EMAIL`
- `subscribe` (boolean, optional) — Whether or not to subscribe the prospect to automated Rentcafe email messaging.
- `prospect_source` (string, optional) — The name of the source of the lead

## Response

### 200

Successful response

- `meta` (CrmV1ProspectsRentcafePostOutputMeta, required)
- `result` (CrmV1ProspectsRentcafePostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### CrmV1ProspectsRentcafePostInputMoveInDate

The move-in date associated with the prospect

### CrmV1ProspectsRentcafePostOutputMeta

- `job_id` (string, required)

### CrmV1ProspectsRentcafePostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `community_id` (string, required) — The Propexo unique identifier for the community
- `agent_id` (string, required, nullable) — The Propexo unique identifier for the agent
- `first_name` (string, required) — The first name associated with the prospect
- `last_name` (string, required) — The last name associated with the prospect
- `email_1` (string, required) — The primary email address associated with the prospect
- `middle_name` (string, required, nullable) — The middle name associated with the prospect
- `phone_1` (string, required, nullable) — Primary phone number associated with the prospect
- `notes` (string, required, nullable) — Notes associated with the prospect
- `address_1` (string, required, nullable) — The first address line associated with the prospect
- `address_2` (string, required, nullable) — The second address line associated with the prospect
- `city` (string, required, nullable) — The city associated with the prospect
- `state` (string, required, nullable) — The state associated with the prospect
- `zip` (string, required, nullable) — The zip code associated with the prospect
- `country` (string, required, nullable) — The country associated with the prospect
- `move_in_date` (CrmV1ProspectsRentcafePostOutputResultMoveInDate, required, nullable) — The move-in date associated with the prospect
- `desired_num_bedrooms` (list of integer, required, nullable)
- `preferred_contact_method` (enum, required) — The way the prospect prefers to be contacted
  - Allowed values: `NONE`, `CALL`, `TEXT`, `EMAIL`
- `subscribe` (boolean, required, nullable) — Whether or not to subscribe the prospect to automated Rentcafe email messaging.
- `prospect_source` (string, required, nullable) — The name of the source of the lead

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### CrmV1ProspectsRentcafePostOutputResultMoveInDate

The move-in date associated with the prospect

## Examples

**Request**

```json
{
  "integration_id": "intg-987654321",
  "community_id": "comm-123456789",
  "first_name": "Emily",
  "last_name": "Johnson",
  "email_1": "emily.johnson@example.com"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-20240615-001"
  },
  "result": {
    "integration_id": "intg-987654321",
    "community_id": "comm-123456789",
    "agent_id": "agent-456789123",
    "first_name": "Emily",
    "last_name": "Johnson",
    "email_1": "emily.johnson@example.com",
    "middle_name": "Grace",
    "phone_1": "+1-555-123-4567",
    "notes": "Interested in a pet-friendly 1-bedroom unit with balcony.",
    "address_1": "123 Maple Street",
    "address_2": "Apt 4B",
    "city": "Springfield",
    "state": "IL",
    "zip": "62704",
    "country": "US",
    "move_in_date": "2024-07-01T00:00:00Z",
    "desired_num_bedrooms": [
      1
    ],
    "preferred_contact_method": "EMAIL",
    "subscribe": true,
    "prospect_source": "RentCafe"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/crm/v1/prospects/rentcafe"

payload = {
    "integration_id": "intg-987654321",
    "community_id": "comm-123456789",
    "first_name": "Emily",
    "last_name": "Johnson",
    "email_1": "emily.johnson@example.com"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/crm/v1/prospects/rentcafe';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg-987654321","community_id":"comm-123456789","first_name":"Emily","last_name":"Johnson","email_1":"emily.johnson@example.com"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/crm/v1/prospects/rentcafe"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg-987654321\",\n  \"community_id\": \"comm-123456789\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\",\n  \"email_1\": \"emily.johnson@example.com\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/crm/v1/prospects/rentcafe")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg-987654321\",\n  \"community_id\": \"comm-123456789\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\",\n  \"email_1\": \"emily.johnson@example.com\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/crm/v1/prospects/rentcafe")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg-987654321\",\n  \"community_id\": \"comm-123456789\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\",\n  \"email_1\": \"emily.johnson@example.com\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/crm/v1/prospects/rentcafe', [
  'body' => '{
  "integration_id": "intg-987654321",
  "community_id": "comm-123456789",
  "first_name": "Emily",
  "last_name": "Johnson",
  "email_1": "emily.johnson@example.com"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/crm/v1/prospects/rentcafe");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg-987654321\",\n  \"community_id\": \"comm-123456789\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\",\n  \"email_1\": \"emily.johnson@example.com\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg-987654321",
  "community_id": "comm-123456789",
  "first_name": "Emily",
  "last_name": "Johnson",
  "email_1": "emily.johnson@example.com"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/crm/v1/prospects/rentcafe")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```